
// provide default config. If not provided, node-humix module will lookup module.js in current dir
/*
var config = {
    "module_name":"nfc",
    "commands" : [ "command1", "command2"],
    "events" : ["detect","trigger"],    
}

*/

var HumixModule = require("../node-humix.js"),
    humix = new HumixModule();


// trigger when received topic "humix.sense.nfc.command.command1"
humix.on('command1', function(data){

    console.log('enter command1, data:'+data);
})

// trigger when received topic "humix.sense.nfc.command.command2"
humix.on('command2', function(data){

    console.log('enter command2, data:'+data);
})

// publish topic "humix.sense.nfc.event.detect" with value "jeffrey"
humix.event('detect','jeffrey');

// publish topic "humix.sense.nfc.event.trigger" with value {"action":"wakeup"}
humix.event('trigger','{"action":"wakeup"}');

humix.on('stdout_data',function(data){

    console.log('child_process stdout:'+data);
});

humix.on('stderr_data', function(data){

    console.log('child_process stderr:'+data);

});

humix.on('child_close', function(data){

    console.log('child process closed');
})
